module.exports = (atlasData) => {
    const data = {
        format: 3,
        pixelFormat: atlasData.format,
        premultiplyAlpha: false,
        realTextureFileName: atlasData.atlasName,
        textureFileName: atlasData.atlasName,
        size: atlasData.size,
        frames: atlasData.frames.map((frame) => {
            return {
                key: frame.key,
                spriteOffset: frame.offset,
                spriteSize: frame.size,
                spriteSourceSize: frame.orig,
                textureRect: [frame.xy, frame.orig],
                textureRotated: frame.rotate,
            }
        })
    };

    return data;
};